/**
*@FILEMANE			:Cities.cpp
*@DESCRIPTION		:Cities domain class
*@PROGRAMMER		:Brian Hinds & James Simpson
*@VERSION			:April 15, 2015
*@
*/

#include "Library.h"

#ifndef _CITIES_H
#define _CITIES_H

/**
*@ Cities Class
*/
class Cities 
{
	/**
	*@ PRIVATE
	*/
	private:

	int male;			///< MALE POPULATION
	int tMale;			 ///< MALE POPULATION
	int female;			///< FEMALE POPULATION
	int tFemale;		 ///< FEMALE POPULATION
	int totalPop;		///< TOTAL POPULATION
	string cityName;	 ///< CITY NAME
	string province;	 ///< PROVINCE

	/**
	*@ PUBLIC
	*/
	public:


	/**
	*@ Accessors
	*/
	int GetMale(void);
	int GetTeenMale(void);
	int GetFemale(void);
	int GetTeenFemale(void);
	
	int GetTotalPop(void);
	string GetCity(void);
	string GetProvince(void);
	void GetPop(int _male, int _female, int _teenMale, int _teenFemale);

	/**
	*@ Constructor
	*/
	Cities(string _cityInformation);
	Cities();
	/**
	*@ Destructor
	*/
	~Cities();
};

#endif