/**
*@FILEMANE			:Menu.h
*@DESCRIPTION		:View layer class
*@PROGRAMMER		:Brian Hinds & James Simpson
*@VERSION			:April 15, 2015
*@
*/
#include "CityPopulation.h"


#ifndef _MENU_H
#define _MENU_H
/**
*@ Menu Class
*/
class Menu 
{
	/**
	*@ PRIVATE
	*/
	private:

	CityPopulation* theContainer;

	 int menu_item;
	 int x;
	 bool running;
	 int menu_itemb;
	 int xb;
	 int j;
	 int i;
	 int Width;
	 int Height;
	 int _male, _female, _teenMale, _teenFemale;
	 string _city, _province;

	 /**
	 *@ PUBLIC
	 */

	public:
	/**
	*@ Constructor
	*/
	int RunMenu(CityPopulation* a);
	Menu();	
	/**
	*@ Setters
	*/	
	void SetBoothUp(void);
	void SetShutDown(void);		
	/**
	*@ Destructor
	*/
	~Menu();
};
#endif
/**
*@ Prototypes for console output position.
*/
void axisXY(int, int);
void ChangeCursorStatus(bool Visible);