/**
*@FILEMANE			:unitTestDriver1.cpp
*@DESCRIPTION		:Testing add population option.
*@PROGRAMMER		:Brian Hinds & James Simpson
*@VERSION			:April 15, 2015
*@
*/
#include "CityPopulation.h"
#include "Menu.h"

#define _UNITTESTDRIVER1_CPP
#ifndef  _UNITTESTDRIVER1_CPP

int main()
{

	Menu myMenu;

	CityPopulation myCities;

	myMenu.SetBoothUp();

	system("cls");

	/**
	*@ Acceptance
	*/
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #1 should result in a city been added successfully.          ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.AddNewCity(490000, 346782, 251762, 336893, "Materland", "ON");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #2 should result in a city been added successfully.          ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.AddNewCity(490000, 346782, 251762, 336893, "Materland2", "B2");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #3 should result in a city been added successfully.          ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.AddNewCity(490000, 346782, 251762, 336893, "500Materland", "5B");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	/**
	*@ Validation and Boundary.
	*/
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a boundary test that should result in too much population for a field.";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.AddNewCity(4900000, 346782, 251762, 336893, "Materland", "BB");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                             ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #1 that should result in a city field error.";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.AddNewCity(4900000, 346782, 251762, 336893, "", "BB");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test that #2 should result in a province field error.";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.AddNewCity(4900000, 346782, 251762, 336893, "Mainland", "Country");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");

	myMenu.SetShutDown();
}
#endif