/**
*@FILEMANE			:unitTestDriver2.cpp
*@DESCRIPTION		:Testing generating option.
*@PROGRAMMER		:Brian Hinds & James Simpson
*@VERSION			:April 15, 2015
*@
*/

#include "CityPopulation.h"
#include "Menu.h"

#define _UNITTESTDRIVER2_CPP
#ifndef  _UNITTESTDRIVER2_CPP

int main()
{

	Menu myMenu;

	CityPopulation myCities;

	myMenu.SetBoothUp();

	system("cls");

	/**
	*@ Acceptance
	*/
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #1 should result in 10 cities generated successfully.       ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.Generate(10);
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #1 should result in 100 cities generated successfully        ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.Generate(100);
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #1 should result in 2500 cities generated successfully       ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.Generate(250);
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	/**
	*@ Validation.
	*/
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #1 for a negative number in the generation field       ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.Generate(-10);
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                             ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #2 for a zero in the generation field result is error.  ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.Generate(0);
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #3 for a letter in the generation field, ignore expected ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.Generate("A");
		axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");

	myMenu.SetShutDown();
}
#endif