/**
*@FILEMANE			:unitTestDriver3.cpp
*@DESCRIPTION		:Testing search city option.
*@PROGRAMMER		:Brian Hinds & James Simpson
*@VERSION			:April 15, 2015
*@
*/

#include "CityPopulation.h"
#include "Menu.h"

#define _UNITTESTDRIVER3_CPP
#ifndef  _UNITTESTDRIVER3_CPP

int main()
{

	Menu myMenu;

	CityPopulation myCities;

	myMenu.SetBoothUp();

	system("cls");

	/**
	*@ Acceptance
	*/
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #1 should result in a city been added successfully.          ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.CityVal("Waterloo");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #2 should result in a city been added successfully.          ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.CityVal("Kitchener");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This acceptance test #3 should result in a city been added successfully.          ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.CityVal("Toronto");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	/**
	*@ Validation.
	*/
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #1 for an empty field or just pressing the enter key       ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.CityVal("");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                             ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #2 should result in city not found with other errors.   ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.CityVal("New York");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " This is a validation test #3 should result in case sensitive with other errors.    ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	myCities.CityVal("waterloo);
	axisXY(0, 0); cout << "|===============================================================================|\n";
	axisXY(0, 1); cout << " Testing completed.                                                                ";
	axisXY(0, 2); cout << "|=========================== PRESS ENTER =======================================|\n";
	getchar();
	system("cls");

	myMenu.SetShutDown();
}
#endif